%if 0%{?fedora} < 13
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:		fig
Version:	0.5.1
Release:	1%{?dist}
Summary:	Punctual, lightweight development environments using Docker

Group:		Development/Libraries
License:	ASL 2.0
URL:		http://orchardup.github.io/fig
Source0:	https://pypi.python.org/packages/source/f/fig/fig-0.5.1.tar.gz

Patch0:         fedora-requirements.patch

BuildRequires:  python-devel python-setuptools 
Requires:       python-setuptools
Requires:       python-dockerpty            >= 0.2.1
Requires:       python-texttable            >= 0.8.1
Requires:       python-docopt               >= 0.6.1
Requires:       python-requests             >= 2.2.1
Requires:       python-websocket-client     >= 0.11.0
Requires:       PyYAML                      >= 3.10
Requires:       docker-io

%description
Provides the functionality needed to operate the pseudo-tty (PTY) allocated to
a docker container, using the Python client.

%prep
%setup -q 

%patch0 -p0

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd
%endif # with_python3


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%check
%{__python} setup.py test

%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc PKG-INFO CHANGES.md CONTRIBUTING.md Dockerfile README.md LICENSE MANIFEST.in setup.cfg tox.ini requirements-dev.txt requirements.txt
%{_bindir}/%{name}
%{python_sitelib}/*

%changelog
* Wed Jul 23 2014 Adam Miller <maxamillion@fedoraproject.org> - 0.5.1-1
- Initial package for Fedora
